<?php

/**
 * @link              https://elvez.co.jp
 * @since             1.0.0
 * @package           Elvez_Manage_Contents
 *
 * @wordpress-plugin
 * Plugin Name:       Elvez Manage Contents
 * Plugin URI:        https://wordpress.org/plugins/elvez-manage-contents
 * Description:       Manage to display contents by user status login or logout.
 * Version:           1.1.6
 * Requires at least: 5.2
 * Requires PHP:      7.2
 * Author:            Elvez Inc,
 * Author URI:        https://elvez.co.jp
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       elvez-manage-contents
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'ELVEZ_MANAGE_CONTENTS_VERSION', '1.1.6' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-elvez-manage-contents-activator.php
 */
function activate_elvez_manage_contents() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-elvez-manage-contents-activator.php';
	Elvez_Manage_Contents_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-elvez-manage-contents-deactivator.php
 */
function deactivate_elvez_manage_contents() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-elvez-manage-contents-deactivator.php';
	Elvez_Manage_Contents_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_elvez_manage_contents' );
register_deactivation_hook( __FILE__, 'deactivate_elvez_manage_contents' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-elvez-manage-contents.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_elvez_manage_contents() {

	$plugin = new Elvez_Manage_Contents();
	$plugin->run();

}
run_elvez_manage_contents();
