(function( $ ) {
	'use strict';

	$(document).ready( function($) {
		var custom_uploader;
		const $options = $('.elv-adminutil-image-option');
		$options.each( (index, el) => {
			const $preview = $(el).find('.elv-adminutil-image-option-preview');
			const $input = $(el).find('.elv-adminutil-image-option-value');
			const $button = $(el).find('.elv-adminutil-image-option-select');
			const $remove = $(el).find('.elv-adminutil-image-option-remove');
			$button.on('click', (e) => {
				e.preventDefault();
				//If the uploader object has already been created, reopen the dialog
				/*
				if (custom_uploader) {
					custom_uploader.open();
					return;
				}
				*/
				//Extend the wp.media object
				custom_uploader = wp.media.frames.file_frame = wp.media({
					title: ELV_ADMINUTIL_IMAGE_OPTION.uploader.title,
					button: {
						text: ELV_ADMINUTIL_IMAGE_OPTION.uploader.button_text,
					},
					multiple: false
				});
				//When a file is selected, grab the URL and set it as the text field's value
				custom_uploader.on('select', function() {
					const attachment = custom_uploader.state().get('selection').first().toJSON();
					$preview .attr( 'src', attachment.sizes.full.url ).css( 'width', 100 );
					$input.val(attachment.id);
					$remove.css( 'display', '' );
				});
				//Open the uploader dialog
				custom_uploader.open();
			});
			$remove.click( function(e) {
				$preview.attr( 'src', '' ).css( 'width', 0 );
				$input.val('')
				$remove.css( 'display', 'none' );

			});
		});
	});

})( jQuery );