<?php
namespace Elvez;

use WP_Error;


class ModalUtilV1 {
	/**
	 * 翻訳テキストドメイン
	 *
	 * @since    1
	 */
	const TEXT_DOMAIN = 'elvez_modal_util';
	/**
	 * The singletone instance
	 *
	 * @since    1
	 */
	protected static $_instance = null;
	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1
	 */
	public function __construct() {
		/**
		 * 翻訳ドメイン登録
		 */
		add_action( 'plugins_loaded', [$this, 'load_textdomain'] );
	}
    /**
     * Return singleton instance.
     *
     * @since   1
     * @return  ModalUtil
     */
    public static function get_instance() {
        if ( is_null( self::$_instance ) ) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }
	/**
	 * Load language files.
	 *
	 * @since	1
	 */
	function load_textdomain() {
		load_plugin_textdomain(
			self::TEXT_DOMAIN,
			false,
			dirname( plugin_basename( __FILE__ ) ) . '/languages/'
		);
	}

	/**
	 * Render modal settings
	 */
	static public function render_modal_settings() {

	}


}